/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memcpy.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/03 16:12:04 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/03 16:12:38 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	*ft_memcpy(void *dst, const void *src, size_t n)
{
	char	const	*s1;
	char			*s2;

	s1 = src;
	s2 = dst;
	while (n--)
		*s2++ = *s1++;
	return (dst);
}
