/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcat.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 21:20:00 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/04 21:20:02 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

size_t	ft_strlcat(char *dst, const char *src, size_t size)
{
	size_t	i;
	size_t	j;
	size_t	k;
	size_t	result;

	i = 0;
	while (i < size)
	{
		if (dst[i] == '\0')
			break ;
		i++;
	}
	result = i + ft_strlen(src);
	k = size - i - 1;
	if (i != size)
	{
		j = 0;
		while (src[j] && j < k)
			dst[i++] = src[j++];
		dst[i] = '\0';
	}
	return (result);
}

/*
**i = taille de dst jusque au premier \0 et index placer sur le \0 si besoin /
**de copier src;
**result = i + taille de src;
**k = nombre de char a copier dans dst;
**j = index de src;
*/
