/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strsub.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 20:26:44 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/04 20:26:49 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strsub(char const *s, unsigned int start, size_t len)
{
	char	*dst;

	if (!s)
		return (0);
	while (start-- && *s)
	{
		if (!(*s++))
			return (0);
	}
	if (!(dst = (char *)malloc(sizeof(char) * (len + 1))))
		return (0);
	dst[len] = 0;
	dst = ft_strncpy(dst, s, len);
	return (dst);
}
