/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strmap.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 17:49:11 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/04 17:49:32 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strmap(char const *s, char (*f)(char))
{
	char	*dst;
	int		l;

	if (s && f)
	{
		l = ft_strlen(s);
		dst = ft_strnew(l + 1);
		l = 0;
		while (s[l])
		{
			dst[l] = f(s[l]);
			l++;
		}
		return (dst);
	}
	return (NULL);
}
