/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft-strnstr.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 21:02:27 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/04 21:02:30 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strnstr(const char *s1, const char *s2, size_t n)
{
	size_t		i;
	int			k;
	int			count;

	k = 0;
	i = 0;
	if (s2 == NULL || *s2 == 0)
		return ((char *)s1);
	while (s1[i] && i < n)
	{
		if (s1[i] == s2[k])
			k++;
		else
			k = 0;
		if (s2[k] == '\0')
		{
			count = (i - (k - 1));
			return ((char *)s1 + count);
		}
		i++;
	}
	return (NULL);
}
